Subject: [6lo] LINKTYPE/DLT types for new encapsulations

From: Michael Richardson <[email-masked]>
Date: Thu, 24 Jul 2014 10:54:27 -0400

If you are creating new adaptation layers (BACnet, NFC, P19...) you may also
want to capture packets and debug what's going on with Wireshark and/or
Tcpdump/WinDump.  Both use libpcap:
  http://www.tcpdump.org/linktypes.html

  Values in the range 147 through 162 are reserved for private use

You can fork it on github.

There is a long list of recognizable IETF names in the TCPDUMP/LIBPCAP
credits file, and I am the chief bottle washer at tcpdump.org.
I can help you get a LINKTYPE_ value at this point; it's rather easy,
and we are generally very liberal with new values.

There is a pcapng format designed, but to date not very widely used as yet,
and it appears that there is some interest in bring it to the OPSAREA WG to
standardize.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-